#ifndef _MAIN_H
#define _MAIN_H

#include <stdint.h>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include "stm32f4xx.h"
#include "stm32f4xx_rcc.h"
#include "stm32f4xx_gpio.h"
#include "stm32f4xx_tim.h"

#include <stdbool.h>

#define NUM_SAMPLES 27000
#define CPU_CLK 100

// adc.c:
void setupADC(void);
void initADC(void);
void startADCDMA(void);
void stopADCDMA(void);

void initDisplay(void);

// main.c:
extern volatile u8 DMABufferReady;
extern volatile u16 triggerPosition;
extern uint8_t chCapture[NUM_SAMPLES*2];
extern void drawWaves(void);
extern void drawLabels(void);
enum {RUN_m, HOLD_m, SINGL_m, STOP_m};

#endif /*  _MAIN_H */
